6.0.0-git
2019-04-21

[#10493] Nag instaled with DIMP - PHP Catchable fatal error
Summary Nag instaled with DIMP - PHP Catchable fatal error
Queue Nag
Queue Version Git master
Type Bug
State Resolved
Priority 3. High
Owners wrobel (at) horde (dot) org
Requester joao.machado (at) co (dot) sapo (dot) pt
Created 2011-09-08 (2782 days ago)
Due
Updated 2011-09-12 (2778 days ago)
Assigned
Resolved 2011-09-12 (2778 days ago)
Milestone
Patch No

History
2011-09-12 05:01:59 Gunnar Wrobel Comment #3
Assigned to Gunnar Wrobel
State ⇒ Resolved
Reply to this comment
Thanks for the report. Removed the type hint, should be fixed.
2011-09-12 05:00:50 Git Commit Comment #2 Reply to this comment
Changes have been made in Git for this ticket:

Remove type hint as Horde_Core_Share_Driver does not declare that it 
implements Horde_Share_Base (Bug #10493).

  2 files changed, 2 insertions(+), 2 deletions(-)
http://git.horde.org/horde-git/-/commit/e98ed4639fddbe18835cc7a98cc5a2f87caab22c
2011-09-08 15:46:49 joao (dot) machado (at) co (dot) sapo (dot) pt Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 3. High
Summary ⇒ Nag instaled with DIMP - PHP Catchable fatal error
Queue ⇒ Nag
Milestone ⇒
Patch ⇒ No
Reply to this comment
I have imp with nag activated. Since this commits:
f209a04866f6ac02341f83b970655bec5962392b 2011-09-01 10:59 Gunnar 
Wrobel       Remove unncessary interface.
a9a725c21f1c70002dd2f2b4f1f688818bd6f52b 2011-09-01 05:42 Gunnar 
Wrobel       Add a new handler for task lists.

I have this fatal error:
PHP Catchable fatal error:  Argument 1 passed to 
Nag_Tasklists_Default::__construct() must be an instance
of Horde_Share_Base, instance of Horde_Core_Share_Driver given,
called in   
/disc2/gits/jpdev.webmail.labs.sapo.pt/webmail/nag/lib/Factory/Tasklists.php 
on line 65 and
defined in 
/disc2/gits/jpdev.webmail.labs.sapo.pt/webmail/nag/lib/Tasklists/Default.php 
on line 28

I have made this fix, but dont know if is the correct solution.

diff --git a/nag/lib/Tasklists/Base.php b/nag/lib/Tasklists/Base.php
index 5af7ce2..70309f9 100644
--- a/nag/lib/Tasklists/Base.php
+++ b/nag/lib/Tasklists/Base.php
@@ -34,11 +34,11 @@ abstract class Nag_Tasklists_Base
      /**
       * Constructor.
       *
-     * @param Horde_Share_Base $shares The share backend.
-     * @param string           $user   The current user.
-     * @param array            $params Additional parameters.
+     * @param Horde_Core_Share_Driver $shares The share backend.
+     * @param string                  $user   The current user.
+     * @param array                   $params Additional parameters.
       */
-    public function __construct(Horde_Share_Base $shares, $user, $params)
+    public function __construct(Horde_Core_Share_Driver $shares, 
$user, $params)
      {
          $this->shares = $shares;
          $this->user = $user;

diff --git a/nag/lib/Tasklists/Default.php b/nag/lib/Tasklists/Default.php
index b5e711d..7359960 100644
--- a/nag/lib/Tasklists/Default.php
+++ b/nag/lib/Tasklists/Default.php
@@ -21,11 +21,11 @@ extends Nag_Tasklists_Base
      /**
       * Constructor.
       *
-     * @param Horde_Share_Base $shares The share backend.
-     * @param string           $user   The current user.
-     * @param array            $params Additional parameters.
+     * @param Horde_Core_Share_Driver $shares The share backend.
+     * @param string                  $user   The current user.
+     * @param array                   $params Additional parameters.
       */
-    public function __construct(Horde_Share_Base $shares, $user, $params)
+    public function __construct(Horde_Core_Share_Driver $shares, 
$user, $params)
      {
          if (!isset($params['identity'])) {
              throw new Nag_Exception('This tasklist handler needs an 
"identity" parameter!');



Thanks

Saved Queries